package com.djhk.common.api.domain;

import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 police_info
 * 
 * @author ruoyi
 * @date 2024-07-08
 */
public class PoliceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 办公电话 */
    @Excel(name = "办公电话")
    private String BGDH;

    /** 部门_警种_名称 */
    @Excel(name = "部门_警种_名称")
    private String bumJzoMc;

    /** 部门_警种_信息代码 */
    @Excel(name = "部门_警种_信息代码")
    private String bumJzoXxdm02;

    /** 参加公安工作_日期 */
    @Excel(name = "参加公安工作_日期")
    private String cjgagzRq;

    /** 采集时间 */
    @Excel(name = "采集时间")
    private String CJSJ;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String CSRQ;

    /** 常用证件代码 */
    @Excel(name = "常用证件代码")
    private String CYZJDM;

    /** 常用证件_名称 */
    @Excel(name = "常用证件_名称")
    private String cyzjMc;

    /** 单位 */
    @Excel(name = "单位")
    private String DWMC;

    /** 标识ID */
    @Excel(name = "标识ID")
    private String FHXTSJWYBSID;

    /** 公民身份证号 */
    @Excel(name = "公民身份证号")
    private String GMSFHM;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String GXSJ;

    /** 警号 */
    @Excel(name = "警号")
    private String JH;

    /** 警衔_代码 */
    @Excel(name = "警衔_代码")
    private String jxiaDm;

    /** 警衔_名称 */
    @Excel(name = "警衔_名称")
    private String jxiaMc;

    /** 科信_信息代码 */
    @Excel(name = "科信_信息代码")
    private String kexXxdm02;

    /** 民族代码 */
    @Excel(name = "民族代码")
    private String MZDM;

    /** 民族 */
    @Excel(name = "民族")
    private String MZMZWZ;

    /** 内部_编号 */
    @Excel(name = "内部_编号")
    private String nbBh;

    /** 人员状态代码 */
    @Excel(name = "人员状态代码")
    private String RYZTDM;

    /** 人员状态描述 */
    @Excel(name = "人员状态描述")
    private String RYZTMS;

    /** 来源部门 */
    @Excel(name = "来源部门")
    private String SJCJLYBM;

    /** 来源表名 */
    @Excel(name = "来源表名")
    private String SJCJLYBM1;

    /** 来源地 */
    @Excel(name = "来源地")
    private String SJCJLYD;

    /** 系统 */
    @Excel(name = "系统")
    private String SJCJLYXT;

    /** 系统备注 */
    @Excel(name = "系统备注")
    private String SJCJLYXTBZ;

    /** 数据库回溯 */
    @Excel(name = "数据库回溯")
    private String SJKHSBSF;

    /** 数据敏感级别 */
    @Excel(name = "数据敏感级别")
    private String SJMGJBBM;

    /** 性别代码 */
    @Excel(name = "性别代码")
    private String XBDM;

    /** 性别 */
    @Excel(name = "性别")
    private String XBMZWZ;

    /** 序号 */
    @Excel(name = "序号")
    private String xhHm;

    /** 姓名 */
    @Excel(name = "姓名")
    private String XM;

    /** 行为标签标识 */
    @Excel(name = "行为标签标识")
    private String XWBQBS;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String xxscPdbz;

    /** 移动电话 */
    @Excel(name = "移动电话")
    private String YDDH;

    /** 一_职务 */
    @Excel(name = "一_职务")
    private String yiZw;

    /** 原始系统主键 */
    @Excel(name = "原始系统主键")
    private String YSXTJRZJ;

    /** 业务标识标签 */
    @Excel(name = "业务标识标签")
    private String YWBQBS;

    /** 职级_编号 */
    @Excel(name = "职级_编号")
    private String zhijBh;

    /** 职级_名称 */
    @Excel(name = "职级_名称")
    private String zhijMc;

    /** 证件号码 */
    @Excel(name = "证件号码")
    private String ZJHM;

    /** 职务 */
    @Excel(name = "职务")
    private String ZW;

    /** 组织机构_代码 */
    @Excel(name = "组织机构_代码")
    private String zzjgDm;

    public void setBGDH(String BGDH) 
    {
        this.BGDH = BGDH;
    }

    public String getBGDH() 
    {
        return BGDH;
    }
    public void setBumJzoMc(String bumJzoMc) 
    {
        this.bumJzoMc = bumJzoMc;
    }

    public String getBumJzoMc() 
    {
        return bumJzoMc;
    }
    public void setBumJzoXxdm02(String bumJzoXxdm02) 
    {
        this.bumJzoXxdm02 = bumJzoXxdm02;
    }

    public String getBumJzoXxdm02() 
    {
        return bumJzoXxdm02;
    }
    public void setCjgagzRq(String cjgagzRq) 
    {
        this.cjgagzRq = cjgagzRq;
    }

    public String getCjgagzRq() 
    {
        return cjgagzRq;
    }
    public void setCJSJ(String CJSJ) 
    {
        this.CJSJ = CJSJ;
    }

    public String getCJSJ() 
    {
        return CJSJ;
    }
    public void setCSRQ(String CSRQ) 
    {
        this.CSRQ = CSRQ;
    }

    public String getCSRQ() 
    {
        return CSRQ;
    }
    public void setCYZJDM(String CYZJDM) 
    {
        this.CYZJDM = CYZJDM;
    }

    public String getCYZJDM() 
    {
        return CYZJDM;
    }
    public void setCyzjMc(String cyzjMc) 
    {
        this.cyzjMc = cyzjMc;
    }

    public String getCyzjMc() 
    {
        return cyzjMc;
    }
    public void setDWMC(String DWMC) 
    {
        this.DWMC = DWMC;
    }

    public String getDWMC() 
    {
        return DWMC;
    }
    public void setFHXTSJWYBSID(String FHXTSJWYBSID)
    {
        this.FHXTSJWYBSID = FHXTSJWYBSID;
    }

    public String getFHXTSJWYBSID()
    {
        return FHXTSJWYBSID;
    }
    public void setGMSFHM(String GMSFHM) 
    {
        this.GMSFHM = GMSFHM;
    }

    public String getGMSFHM() 
    {
        return GMSFHM;
    }
    public void setGXSJ(String GXSJ) 
    {
        this.GXSJ = GXSJ;
    }

    public String getGXSJ() 
    {
        return GXSJ;
    }
    public void setJH(String JH) 
    {
        this.JH = JH;
    }

    public String getJH() 
    {
        return JH;
    }
    public void setJxiaDm(String jxiaDm) 
    {
        this.jxiaDm = jxiaDm;
    }

    public String getJxiaDm() 
    {
        return jxiaDm;
    }
    public void setJxiaMc(String jxiaMc) 
    {
        this.jxiaMc = jxiaMc;
    }

    public String getJxiaMc() 
    {
        return jxiaMc;
    }
    public void setKexXxdm02(String kexXxdm02) 
    {
        this.kexXxdm02 = kexXxdm02;
    }

    public String getKexXxdm02() 
    {
        return kexXxdm02;
    }
    public void setMZDM(String MZDM) 
    {
        this.MZDM = MZDM;
    }

    public String getMZDM() 
    {
        return MZDM;
    }
    public void setMZMZWZ(String MZMZWZ) 
    {
        this.MZMZWZ = MZMZWZ;
    }

    public String getMZMZWZ() 
    {
        return MZMZWZ;
    }
    public void setNbBh(String nbBh) 
    {
        this.nbBh = nbBh;
    }

    public String getNbBh() 
    {
        return nbBh;
    }
    public void setRYZTDM(String RYZTDM) 
    {
        this.RYZTDM = RYZTDM;
    }

    public String getRYZTDM() 
    {
        return RYZTDM;
    }
    public void setRYZTMS(String RYZTMS) 
    {
        this.RYZTMS = RYZTMS;
    }

    public String getRYZTMS() 
    {
        return RYZTMS;
    }
    public void setSJCJLYBM(String SJCJLYBM) 
    {
        this.SJCJLYBM = SJCJLYBM;
    }

    public String getSJCJLYBM() 
    {
        return SJCJLYBM;
    }
    public void setSJCJLYBM1(String SJCJLYBM1) 
    {
        this.SJCJLYBM1 = SJCJLYBM1;
    }

    public String getSJCJLYBM1() 
    {
        return SJCJLYBM1;
    }
    public void setSJCJLYD(String SJCJLYD) 
    {
        this.SJCJLYD = SJCJLYD;
    }

    public String getSJCJLYD() 
    {
        return SJCJLYD;
    }
    public void setSJCJLYXT(String SJCJLYXT) 
    {
        this.SJCJLYXT = SJCJLYXT;
    }

    public String getSJCJLYXT() 
    {
        return SJCJLYXT;
    }
    public void setSJCJLYXTBZ(String SJCJLYXTBZ) 
    {
        this.SJCJLYXTBZ = SJCJLYXTBZ;
    }

    public String getSJCJLYXTBZ() 
    {
        return SJCJLYXTBZ;
    }
    public void setSJKHSBSF(String SJKHSBSF) 
    {
        this.SJKHSBSF = SJKHSBSF;
    }

    public String getSJKHSBSF() 
    {
        return SJKHSBSF;
    }
    public void setSJMGJBBM(String SJMGJBBM) 
    {
        this.SJMGJBBM = SJMGJBBM;
    }

    public String getSJMGJBBM() 
    {
        return SJMGJBBM;
    }
    public void setXBDM(String XBDM) 
    {
        this.XBDM = XBDM;
    }

    public String getXBDM() 
    {
        return XBDM;
    }
    public void setXBMZWZ(String XBMZWZ) 
    {
        this.XBMZWZ = XBMZWZ;
    }

    public String getXBMZWZ() 
    {
        return XBMZWZ;
    }
    public void setXhHm(String xhHm) 
    {
        this.xhHm = xhHm;
    }

    public String getXhHm() 
    {
        return xhHm;
    }
    public void setXM(String XM) 
    {
        this.XM = XM;
    }

    public String getXM() 
    {
        return XM;
    }
    public void setXWBQBS(String XWBQBS) 
    {
        this.XWBQBS = XWBQBS;
    }

    public String getXWBQBS() 
    {
        return XWBQBS;
    }
    public void setXxscPdbz(String xxscPdbz) 
    {
        this.xxscPdbz = xxscPdbz;
    }

    public String getXxscPdbz() 
    {
        return xxscPdbz;
    }
    public void setYDDH(String YDDH) 
    {
        this.YDDH = YDDH;
    }

    public String getYDDH() 
    {
        return YDDH;
    }
    public void setYiZw(String yiZw) 
    {
        this.yiZw = yiZw;
    }

    public String getYiZw() 
    {
        return yiZw;
    }
    public void setYSXTJRZJ(String YSXTJRZJ) 
    {
        this.YSXTJRZJ = YSXTJRZJ;
    }

    public String getYSXTJRZJ() 
    {
        return YSXTJRZJ;
    }
    public void setYWBQBS(String YWBQBS) 
    {
        this.YWBQBS = YWBQBS;
    }

    public String getYWBQBS() 
    {
        return YWBQBS;
    }
    public void setZhijBh(String zhijBh) 
    {
        this.zhijBh = zhijBh;
    }

    public String getZhijBh() 
    {
        return zhijBh;
    }
    public void setZhijMc(String zhijMc) 
    {
        this.zhijMc = zhijMc;
    }

    public String getZhijMc() 
    {
        return zhijMc;
    }
    public void setZJHM(String ZJHM) 
    {
        this.ZJHM = ZJHM;
    }

    public String getZJHM() 
    {
        return ZJHM;
    }
    public void setZW(String ZW) 
    {
        this.ZW = ZW;
    }

    public String getZW() 
    {
        return ZW;
    }
    public void setZzjgDm(String zzjgDm) 
    {
        this.zzjgDm = zzjgDm;
    }

    public String getZzjgDm() 
    {
        return zzjgDm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("BGDH", getBGDH())
            .append("bumJzoMc", getBumJzoMc())
            .append("bumJzoXxdm02", getBumJzoXxdm02())
            .append("cjgagzRq", getCjgagzRq())
            .append("CJSJ", getCJSJ())
            .append("CSRQ", getCSRQ())
            .append("CYZJDM", getCYZJDM())
            .append("cyzjMc", getCyzjMc())
            .append("DWMC", getDWMC())
            .append("FHXTSJWYBSID", getFHXTSJWYBSID())
            .append("GMSFHM", getGMSFHM())
            .append("GXSJ", getGXSJ())
            .append("JH", getJH())
            .append("jxiaDm", getJxiaDm())
            .append("jxiaMc", getJxiaMc())
            .append("kexXxdm02", getKexXxdm02())
            .append("MZDM", getMZDM())
            .append("MZMZWZ", getMZMZWZ())
            .append("nbBh", getNbBh())
            .append("RYZTDM", getRYZTDM())
            .append("RYZTMS", getRYZTMS())
            .append("SJCJLYBM", getSJCJLYBM())
            .append("SJCJLYBM1", getSJCJLYBM1())
            .append("SJCJLYD", getSJCJLYD())
            .append("SJCJLYXT", getSJCJLYXT())
            .append("SJCJLYXTBZ", getSJCJLYXTBZ())
            .append("SJKHSBSF", getSJKHSBSF())
            .append("SJMGJBBM", getSJMGJBBM())
            .append("XBDM", getXBDM())
            .append("XBMZWZ", getXBMZWZ())
            .append("xhHm", getXhHm())
            .append("XM", getXM())
            .append("XWBQBS", getXWBQBS())
            .append("xxscPdbz", getXxscPdbz())
            .append("YDDH", getYDDH())
            .append("yiZw", getYiZw())
            .append("YSXTJRZJ", getYSXTJRZJ())
            .append("YWBQBS", getYWBQBS())
            .append("zhijBh", getZhijBh())
            .append("zhijMc", getZhijMc())
            .append("ZJHM", getZJHM())
            .append("ZW", getZW())
            .append("zzjgDm", getZzjgDm())
            .toString();
    }
}
